Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.bus
Class ClusteredRepositoryChangeBus.Listener

    java.lang.Object
      org.modeshape.jcr.bus.ClusteredRepositoryChangeBus.Listener

All Implemented Interfaces:
  org.jgroups.ChannelListener

Enclosing class:
  ClusteredRepositoryChangeBus

    protected final class ClusteredRepositoryChangeBus.Listener

extends Object
implements org.jgroups.ChannelListener

Constructor Summary
`protected` | `ClusteredRepositoryChangeBus.Listener()`

Method Summary
`void` | `channelClosed(org.jgroups.Channel channel)`
`void` | `channelConnected(org.jgroups.Channel channel)`
`void` | `channelDisconnected(org.jgroups.Channel channel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusteredRepositoryChangeBus.Listener

    protected ClusteredRepositoryChangeBus.Listener()

Method Detail

### channelClosed

    public void channelClosed(org.jgroups.Channel channel)

  Specified by:
    `channelClosed` in interface `org.jgroups.ChannelListener`
  See Also:
    `ChannelListener.channelClosed(org.jgroups.Channel)`

### channelConnected

    public void channelConnected(org.jgroups.Channel channel)

  Specified by:
    `channelConnected` in interface `org.jgroups.ChannelListener`
  See Also:
    `ChannelListener.channelConnected(org.jgroups.Channel)`

### channelDisconnected

    public void channelDisconnected(org.jgroups.Channel channel)

  Specified by:
    `channelDisconnected` in interface `org.jgroups.ChannelListener`
  See Also:
    `ChannelListener.channelDisconnected(org.jgroups.Channel)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.